.container-menu .header-menu-container {
    height: max-content;
}

.running-text {
    display: flex;
    gap: 16px;
    overflow: visible;
    position: relative;
    white-space: nowrap;
    animation: market-list 3000s linear infinite;
    font-size: 12px;
    background: #F8F8F8;
    flex-wrap: nowrap;
    width: 100%;
    animation-delay: 0s;
    padding: 12px 0;
    width: max-content;
    transform: translateX(0); 
    animation-delay: 0s;
    pointer-events: none;

}

@keyframes market-list {
    from {
        transform: translateX(0);
    }
  
    to {
        transform: translateX(-100%);
    }
}

.running-text .market-list {
    display: flex;
    align-items: center;
    gap: 5px;
    white-space: nowrap;
    position: relative;
}

.running-text .market-list::after {
    position: absolute;
    content: '';
    border-right: 1px solid #DFDFDF;
    height: 100%;
    width: 100%;
    top: 0;
    left: 6px;
}

.running-text .market-list .icon-change {
    width: 17px;
    height: 17px;
}

.running-text .market-list .right-side {
    font-weight: 400;
    font-size: 14px;
    line-height: 22.4px;
}

.running-text .market-list .icon-change img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.running-text .market-list .right-side {
    font-weight: 400;
    font-size: 14px;
    line-height: 22.4px;
}

@keyframes market-list {
    from {
        transform: translateX(0);
    }
  
    to {
        transform: translateX(-100%);
    }
}

.hidden-overflow {
    overflow: hidden;
}

.button-more-market {
    background: #F8F8F8;
    font-family: Futura-Medium;
    font-size: 14px;
    line-height: 14px;
    color: #193F6E;
    text-align: center;
    padding: 5px 0 10px;
    display: block;
}

.running-text .market-list .left-side .sub1 {
    color: #454545;
    font-weight: 700;
    font-size: 14px;
    line-height: 22.4px;
    display: block;
    width: max-content;
    height: 22.41px;
    position: relative;
    pointer-events: auto;
    cursor: pointer;
    
}

.red {
    color: #D82526;
}

.green {
    color: #3F8E42;
}

#home .content-1 {
    margin-bottom: 23px;
    padding-bottom: 10px;
    margin-top: 24px;
}

#home .first-section .title-1 {
    display: flex;
    gap: 10px;
}

#home .first-section .content-1 ul li.active-content-1 {
    color: var(--idxcolor);
    font-family: CenturyGothic-Bold;
    position: relative;
}

#home .first-section .content-1 ul li {
    list-style-type: none;
    font-family: CenturyGothic;
    color: #959595;
    font-size: 14px;
}

#home .first-section .content-1 ul {
    display: flex;
    justify-content: space-around;
}

#home-indexes .border-home-indexes {
    overflow: hidden;
}

#home-indexes .border-home-indexes .swiper-wrapper {

    position: relative;
    width: 100%;
    height: max-content;
    z-index: 1;
    display: flex;
    transition-property: transform;
    box-sizing: content-box;
}

#home .first-section .side-1::after {
    position: absolute;
    content: "";
    width: max-content;
    height: 97px;
    border-left: solid 1px var(--grey);
    top: 20px;
    right: 57px;
}

#home .first-section .border-home-indexes {
    position: relative;
}

#home .first-section .border-home-indexes .swiper-slide {
    display: flex;
    width: 50%;
    flex-shrink: 0;
}

#home .first-section .side-1:last-child::after {
    display: none;
}

#home .first-section .side-2 .content-side-2, .box-list .v-list__tile .footer-icon {
    align-items: center;
}

.swiper-currencies-new {
    overflow: hidden;
    position: relative;
}

#home-currencies {
    border: solid 1px var(--grey);
    border-radius: 10px;
}

#home-currencies .swiper-wrapper {
    margin-left: 50px;
}

#home-currencies .side-2 {
    position: relative;
    width: 50%;
}

#home-currencies .side-2::after {
    position: absolute;
    content: "";
    width: max-content;
    height: 62px;
    border-left: solid 1px var(--grey);
    top: 17px;
    right: 49px;
}

#home .first-section .side-2 {
    padding-bottom: 54px;
}
#home .first-section .side-2:nth-child(2) {
    padding-left: 14px;
}

#home-currencies .swiper-wrapper .swiper-slide {
    display: flex;
}

#home .slider-headline {
    height: max-content;
}

#home #graph-page .sidebar-1 .head-title-1 div {
    position: relative;
}

.swiper-currencies-new .swiper-pagination-bullet-active {
    background: #D82526;

}

#home #graph-page .sidebar-1 .head-title-1 div::after {
    content: "";
    background-image: url(https://cdn.okezone.com/underwood/revamp/2024/images/running-text/chevron-right.png);
    position: absolute;
    top: 0;
    right: -16px;
    width: 22px;
    height: 22px;
    left: -25px;
    background-size: contain;
}

#home #graph-page .sidebar-1 .head-title-1 div:first-child:after {
    display: none;
}

#graph-page .sidebar-1 .head-title-1 {
    gap: 29.5px;
}

#market-major .head-title-4 .flex-target {
    display: flex;
    height: max-content;
}

#market-major .swiper-container-index {
    position: relative;
}

#market-major .swiper-container-index::after {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    height: 23px;
    width: 16px;
    background: linear-gradient(270deg, rgba(171, 171, 171, 0.4) -25%, rgba(40, 40, 40, 0) 100%);
}


#market-major .head-title-4 .flex-target .active-title-4 {
    font-weight: 700;
    display: flex;
    white-space: nowrap;
    color:#193F6E;
    border-bottom: 2px solid #193F6E;
}

#market-major .head-title-4 .flex-target .swiper-slide {
    color: #959595;
} 

#market-major .head-title-4 {
    border-bottom: 1px solid #959595;
    margin: 0 15px;
    padding: 0px;
}

#market-major .head-title-4 .flex-target .swiper-slide {
    white-space: nowrap;
}

.stock-tab-wrap  {
    padding: 0 15px;
}

.stock-tab-wrap .title-stock-table {
    color: #454545;
    font-weight: 700;
    font-size: 20px;
    line-height: 32px;
    margin-top: 20px;
}

.stock-tab-wrap .filter-data {
    display: flex;
    margin-top: 20px;
    margin-bottom: 20px;
}

.stock-tab-wrap .filter-data .filter.active {
    color: #193F6E;
    border: 1px solid #193F6E;
    border-radius: 5px;
    padding: 5px 13px;
}

.stock-tab-wrap .filter-data .filter {
    display: flex;
    color: #959595;
    font-weight: 700;
    font-size: 12px;
    line-height: 22.4px;
    padding: 5px 13px;
    cursor: pointer;
}


.swiper-container-index {
    overflow: hidden;
}

#market-major .head-title-4 .flex-target .swiper-slide {
    width: max-content;
}

.table-wrapper {
    position: relative; /* To keep the gradient positioned correctly */
    width: 100%;
}
.table-container {
    width: 100%;
    border-radius: 8px;
    padding: 5px;
    white-space: nowrap; /* Prevents wrapping */
    overflow-x: auto;
}

.gradient-overlay,
.gradient-overlay-stock {
    position: absolute;
    top: 5px;
    right: 0;
    width: 50px;
    height: 100%;
    background: linear-gradient(270deg, rgba(171, 171, 171, 0.4) 50%, rgba(40, 40, 40, 0) 100%);
    pointer-events: none;
    transition: opacity 0.3s;
}

.historical-data {
    position: relative;
}

.historical-data .gradient-overlay {
    top: 95.82px;
    right: 13px;
}

/* Hide gradient when fully scrolled */
.hide-gradient .gradient-overlay,
.hide-gradient-stock .gradient-overlay-stock {
    opacity: 0;
}


.c-table {
    display: grid;
    grid-template-columns: 80px 130px 80px 80px 80px 80px; 
    min-width: 100px; 
}

.historical-data .c-table {
    display: grid;
    grid-template-columns: repeat(5, 150px); /* Adjust column width */
    min-width: 100px; /* Ensures the content is wider than screen */
    width: 100%;
    overflow-x: auto; 
    border-radius: 8px;
    white-space: nowrap; /* Prevents wrapping */
}

.c-row {
    display: contents; 
}

.marketdata-detail .c-body .c-row {
    display: contents; 
}

.marketdata-detail .c-body {
    display: contents; 
}

.marketdata-detail .table-history {
    display: contents;
}


.table-mobile {
    position: relative;
}

.hide-gradient .gradient-overlay {
    opacity: 0;
}



.cell {
    padding: 10px;
    text-align: center;
}

.c-header {
    font-weight: 400;
}

.marketdata-new .c-row.c-header .cell {
    background-color: #454545 !important;
    border: 1px solid #454545;
    color: #fff;
    text-align: center;
}

.container-menu .header-menu-container ul {
    padding-left: 0;
}

/* .c-row .cell {
    color: #454545;
} */

.share-market .outer-social-media-box .text-caption--2 {
    display: flex;
    justify-content: center;
    font-family: Futura-Medium;
    font-size: 12px;
    line-height: 18px;
    color: #454545;
    margin: 40px 0 15px;
  }
  
  .share-market .social-media-box {
    display: flex;
    justify-content: center;
    gap: 15px;
  }
  
  .share-market .social-media-box .img-sosmed {
    width: 40px;
    height: 40px;
    cursor: pointer;
    background-color: unset;
  }
  
  .share-market .social-media-box .img-sosmed img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .share-market  {
    margin-bottom: 20px;
  }

.marketdata-new .stock-tab-wrap .title-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.title-detail-market {
    color: #454545;
    font-weight: 700;
    font-size: 20px;
    line-height: 32px;
}


#market-currencies .currencies-title {
    font-weight: 700;
    font-size: 20px;
    line-height: 32px;
    color: #454545;
    margin-bottom: 10px;
    margin-top: 20px;
    padding-left: 15px;
}

.marketdata-new #market-currencies .head-title-8 {
    padding: 0 15px;
    margin-top: 10px;
    margin-bottom: 10px;
}


#market-currencies .stock-tab-wrap .table-stock .header-tab .th-content:nth-child(2),
#market-currencies .stock-tab-wrap .table-stock .content-tab .tc-content:nth-child(2)  {
  width: 50%; 
}

#market-currencies .stock-tab-wrap .table-stock .header-tab .th-content:nth-child(3),
#market-currencies .stock-tab-wrap .table-stock .content-tab .tc-content:nth-child(3) {
  width: 50%;
}

#market-currencies .stock-tab-wrap .table-stock .header-tab {
    display: flex;
    font-weight: 700;
    font-size: 16px;
    line-height: 25.6px;
    background-color: rgb(69, 69, 69);
    color: rgb(255, 255, 255);
    padding: 5px 0px;
    justify-content: space-between;
}

.marketdata-new .stock-tab-wrap .table-stock .content-tab {
    display: flex;
    font-weight: 700;
    padding: 15px 0px;
    justify-content: space-between;
    color: #193F6E;
    ;
}

.stock-tab-wrap .table-container .c-row .cell.codename {
    color: #193F6E;
    font-size: 12px;
    font-weight: 700;
    line-height: 19.2px;
}

.marketdata-new .stock-tab-wrap .title-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.marketdata-detail .title-wrap {
    padding: 0 15px;
}

.marketdata-detail .wrap-change {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0 15px;
    margin-top: 15px;
}

.marketdata-detail .subwrap-change {
    display: flex;
    width: 50%;
    gap: 15%;
    margin-bottom: 10px;
}

.marketdata-detail .subwrap-change div {
    width: 50%;
}

.marketdata-detail .subwrap-change div:first-child {
    font-family: Futura-Medium;
    font-size: 12px;
    line-height: 19.2px;
    color: #204D7F;
}

.marketdata-detail .historical-data .filter-time .choose-time.active {
    border: 1px solid #193F6E;
    color: #193F6E;
    border-radius: 5px;
}

.marketdata-detail .historical-data .filter-time .choose-time {
    font-weight: 700;
    font-size: 14px;
    line-height: 22.4px;
    color: #959595;
    padding: 2px 5px;
    cursor: pointer;
}

.marketdata-detail .historical-data .filter-time {
    display: flex;
    margin: 20px 0;
    gap: 20px;
}

.marketdata-detail .historical-data {
    padding: 0 15px;
}

.historical-data {
    margin-top: 15px;
    position: relative;
}

.historical-data .gradient-overlay {
    top: 91px;
    height: calc(100% - 91.82px);
    right: 14px;
}

.historical-data .title-stock-table {
    color: #454545;
    font-weight: 700;
    font-size: 14px;
    line-height: 22.4px;
}

.marketdata-detail .stock-tab-wrap .title-stock-table {
    font-size: 14px;
}

#visonplusiframe iframe img {
    margin: 0 auto;
}

 .c-table.scroll-end::after {
    display: none;
}

.table-container .c-row:nth-child(2n+1) .cell {
    background-color: #F3F5F7;;
}

.table-container .c-row .cell {
    border-bottom: 1px solid #959595;
    font-weight: 700;
    color: #454545;
    font-size: 12px;
    line-height: 19.2px;
}

#market-major .swiper-container-index.hide-after::after {
    display: none;
}

.table-body {
    display: contents;
}

.marketdata-detail .c-body {
    display: contents
}

@media (max-width: 700px) {
    .drawer-container .side-menu {
      right: -734px;
    }
}

@media (min-width: 701px) {
    .drawer-container .side-menu {
      right: 1309px;
    }
    .nav-portal-ception .nav-pc-title {
        margin-left: 15px;
    }
    #home .first-section .side-1::after {
        right: -202px;
    }
}

@media (min-width: 800px) {
    .container-menu .header-menu-container {
        justify-content: flex-start;
        display: flex;
    }
    .container-menu .header-menu-container li.esq {
        width: 119px;
    }
}

@media (min-width: 500px) {
    .c-table {
        display: grid;
        grid-template-columns: repeat(6, 16.6%);
    }
}

.nav-portal-ception ul {
    padding: 12px 0px 12px 0px !important;
}
  

@media (max-width: 366px) {
    .stock-tab-wrap .filter-data .filter {
        padding: 5px;
    }
    .stock-tab-wrap .filter-data {
        justify-content: space-between;
    }
}

#graph-page .sidebar-1 .head-title-2 ul {
    gap: 25px;
    justify-content: unset;
}

#graph-page .sidebar-1 .head-title-8 {
    font-family: CenturyGothic-Bold;
    font-weight: 700;
}

.marketdata-new .stock-tab-wrap .title-stock {
    font-weight: 700;
    color: #454545;
    font-size: 14px;
    line-height: 160%;
    font-family: CenturyGothic-Bold;
    margin-top: 31px;
}

#market-currencies .stock-tab-wrap .table-stock .header-tab .th-content {
    padding-left: 5px;
}

.marketdata-new .stock-tab-wrap .table-stock .content-tab .tc-content {
    padding-left: 5px;
}

.marketdata-new .stock-tab-wrap .table-stock .content-tab:nth-child(even) {
    background: #F3F5F7;
}

.select2-container--default .select2-selection--multiple {
    border: none;
    border-radius: 0;
    width: 75px;
    position: relative;
}

.select2-container--default .select2-selection--multiple::after {
    content: "";
    position: absolute;
    background-image: url(https://cdn.okezone.com/underwood/revamp/2024/images/running-text/search.png);
    width: 15px;
    height: 15px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    left: -16px;
    top: 6px;
}

.marketdata-detail .select2-container--default .select2-selection--multiple {
    border: 1px solid #979797;
    width: 100%;
    border-radius: 4px;
    height: 40px;
    padding-top: 5px;
}

.marketdata-detail .select2-container .select2-search--inline .select2-search__field {
    padding-left: 26px;
}

.marketdata-detail .select2-container--default .select2-selection--multiple::after {
    left: 3px;
    width: 18px;
    height: 18px;
    top: 10px;
}

.marketdata-new .select2-container--default.select2-container--focus .select2-selection--multiple {
    border-top: none;
    border-left: none;
    border-right: none;
    border-radius: 0;
    box-shadow: none;
  }


  .marketdata-new.marketdata-detail .select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #979797;
    border-radius: 4px;
  }

  .swiper-container-index,
  .swiper-container-index .swiper-slide {
    pointer-events: none;
  }

  .swiper-container-index .swiper-slide .tablinks-major {
    pointer-events: auto;
  }

  .share-market .social-media-box .img-sosmed {
    border: none;
  }

  .table-container .c-row .cell.green {
    color: #53A663;
  }

  .table-container .c-row .cell.red {
    color: #D82526;
  }

  .table-container .c-row .cell.grey {
    color: #959595;
  }

  .running-text .market-list .right-side.red,
  .running-text .market-list .right-side.green,
  .running-text .market-list .right-side.grey {
    background-color: unset !important;
  }


  .copy-link {
    position: relative;
  }
  
  .copied-text {
    position: absolute;
    top: 44px;
    right: -2px;
    display: none;
    font-size: 9px;
    width: max-content;
    color: #454545;
  }
  
  .copied-text.text-show {
    display: block;
  }
  
  @keyframes appear {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
  
  @keyframes disappear {
    0% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
  }
  
  .text-show {
    animation: appear 0.5s, disappear 0.5s 3s;
}

@media screen and (max-width: 962px) {
    #home .first-section .side-1::after {
        left: 457px;
    }
}

@media only screen and (max-width: 767px) {
    #home .first-section .side-1::after {
        left: 357px;
    }
}

@media screen and (max-width: 712px) {
    #home .first-section .side-1::after {
        left: 305px;
    }
}

@media screen and (max-width: 640px) {
    #home .first-section .side-1::after {
        left: 297px;
    }
}

@media screen and (max-width: 550px) {
    #home .first-section .side-1::after {
        left: 260px;
    }
}

@media screen and (max-width: 50px) {
    #home .first-section .side-1::after {
        left: 234px;
    }
}

@media (max-width: 452px) {
    #home .first-section .side-1::after {
        left: 209px;
    }
}

@media (max-width: 420px) {
    #home .first-section .side-1::after {
        left: 194px;
    }
}
  
@media (max-width: 400px) {
    #home .first-section .side-1::after {
        left: 183px;
    }
}

@media (max-width: 380px) {
    #home .first-section .side-1::after {
        left: 170px;
    }
}

@media (max-width: 370px) {
    #home .first-section .side-1::after {
        left: 168px;
    }
}

#home .first-section .side-1 .content-side-2 .img-arrow, #home .first-section .side-2 .content-side-2 .img-arrow {
    width: 20px;
    height: 20px;
}

#home .first-section .side-1 {
    position: static;
}




